package com.op.wms.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.op.wms.mapper.OdsWhiteEmbryoInventoryMapper;
import com.op.wms.domain.OdsWhiteEmbryoInventory;
import com.op.wms.service.IOdsWhiteEmbryoInventoryService;

/**
 * 白胚盘点单Service业务层处理
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
@Service
public class OdsWhiteEmbryoInventoryServiceImpl implements IOdsWhiteEmbryoInventoryService {
	@Autowired
	private OdsWhiteEmbryoInventoryMapper odsWhiteEmbryoInventoryMapper;

	/**
	 * 查询白胚盘点单
	 * 
	 * @param ID 白胚盘点单主键
	 * @return 白胚盘点单
	 */
	@Override
	public OdsWhiteEmbryoInventory selectOdsWhiteEmbryoInventoryByID(String ID) {
		return odsWhiteEmbryoInventoryMapper.selectOdsWhiteEmbryoInventoryByID(ID);
	}

	/**
	 * 查询白胚盘点单列表
	 * 
	 * @param odsWhiteEmbryoInventory 白胚盘点单
	 * @return 白胚盘点单
	 */
	@Override
	public List<OdsWhiteEmbryoInventory> selectOdsWhiteEmbryoInventoryList(OdsWhiteEmbryoInventory odsWhiteEmbryoInventory) {
		return odsWhiteEmbryoInventoryMapper.selectOdsWhiteEmbryoInventoryList(odsWhiteEmbryoInventory);
	}

	/**
	 * 新增白胚盘点单
	 * 
	 * @param odsWhiteEmbryoInventory 白胚盘点单
	 * @return 结果
	 */
	@Override
	public int insertOdsWhiteEmbryoInventory(OdsWhiteEmbryoInventory odsWhiteEmbryoInventory) {
		return odsWhiteEmbryoInventoryMapper.insertOdsWhiteEmbryoInventory(odsWhiteEmbryoInventory);
	}

	/**
	 * 修改白胚盘点单
	 * 
	 * @param odsWhiteEmbryoInventory 白胚盘点单
	 * @return 结果
	 */
	@Override
	public int updateOdsWhiteEmbryoInventory(OdsWhiteEmbryoInventory odsWhiteEmbryoInventory) {
		return odsWhiteEmbryoInventoryMapper.updateOdsWhiteEmbryoInventory(odsWhiteEmbryoInventory);
	}

	/**
	 * 批量删除白胚盘点单
	 * 
	 * @param IDs 需要删除的白胚盘点单主键
	 * @return 结果
	 */
	@Override
	public int deleteOdsWhiteEmbryoInventoryByIDs(String[] IDs) {
		return odsWhiteEmbryoInventoryMapper.deleteOdsWhiteEmbryoInventoryByIDs(IDs);
	}

	/**
	 * 删除白胚盘点单信息
	 * 
	 * @param ID 白胚盘点单主键
	 * @return 结果
	 */
	@Override
	public int deleteOdsWhiteEmbryoInventoryByID(String ID) {
		return odsWhiteEmbryoInventoryMapper.deleteOdsWhiteEmbryoInventoryByID(ID);
	}
}
